# bcdiv

(PHP 4, PHP 5, PHP 7)

bcdiv — Divide two arbitrary precision numbers

### Description

bcdiv ( string `$dividend` , string `$divisor` [, int `$scale` = 0 ] ) : string

Divides the `dividend` by the `divisor`.

### Parameters

`dividend`

  The dividend, as a string.

`divisor`

  The divisor, as a string.

`scale`

  This optional parameter is used to set the number of digits after the decimal place in the result. If omitted, it will default to the scale set globally with the bcscale() function, or fallback to 0 if this has not been set.

### Return Values

Returns the result of the division as a string, or `NULL` if `divisor` is 0.

### Examples

Example #1 bcdiv() example

`<?php
echo bcdiv('105', '6.55957', 3); // 16.007
?>`

### See Also

- bcmul() - Multiply two arbitrary precision numbers